import { AttachmentModel } from '.';
declare const _default: {
    filenameKey: string;
    make(storage: any): any;
    defaults(): {
        title: string;
        type: string;
        name: string;
        baseUrl: string;
        options: {
            Region: string;
            SecretId: string;
            SecretKey: string;
            Bucket: string;
        };
    };
    delete(storage: any, records: AttachmentModel[]): Promise<[number, AttachmentModel[]]>;
};
export default _default;
